# Компіляція у Linux

## Необхідні інструменти

Для компіляції RHVoice у вашій системі повинні бути встановлені
такі програми:

* [GCC](https://gcc.gnu.org)
* [Pkg-config](https://www.freedesktop.org/wiki/Software/pkg-config/)
* [SCons](https://www.scons.org)

## Додаткові залежності

Перед початком компіляції RHVoice переконайтеся, що на вашому комп'ютері
встановлено принаймні один з нижченаведених компонентів,
які забезпечують виведення звуку:

* [PulseAudio](https://www.freedesktop.org/wiki/Software/PulseAudio/)
* [Libao](https://www.xiph.org/ao/)
* [PortAudio](http://www.portaudio.com) V19

Зверніть увагу, що багато дистрибутивів виділяють в окремі пакети
ті файли, які необхідні лише під час компіляції, а не під час
виконання програм, які використовують ту чи іншу бібліотеку. У вашій
системі повинні бути встановлені пакети обох типів.

## Компіляція

Для запуску компіляції виконайте команду:

```bash
scons
```

Ви можете змінити параметри збірки, наприклад, передати компілятору
додаткові опції. Для отримання докладнішої інформації
скористайтеся командою:

```bash
scons -h
```

## Встановлення

Для встановлення RHVoice виконайте таку команду:

```bash
# scons install
```

Тепер ви можете перевірити роботоздатність синтезатора:

```bash
echo test|RHVoice-test
```
